> ## Documentation Index
> Fetch the complete documentation index at: https://azure-foundry.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Returns a list of vector store files.



## OpenAPI

````yaml api-reference/openai-v1.yaml get /vector_stores/{vector_store_id}/files
openapi: 3.0.0
info:
  title: Azure AI Foundry Models Service
  license:
    name: MIT
    url: https://github.com/openai/openai-openapi/blob/master/LICENSE
  version: v1
servers:
  - url: '{endpoint}/openai/v1'
    description: Azure AI Foundry Models APIs
    variables:
      endpoint:
        default: ''
        description: >-
          A supported Azure AI Foundry Models APIs endpoint, including protocol
          and hostname.

          For example:

          https://westus.api.cognitive.microsoft.com).
security:
  - ApiKeyAuth: []
  - ApiKeyAuth_: []
  - OAuth2Auth:
      - https://cognitiveservices.azure.com/.default
tags:
  - name: Chat
  - name: Embeddings
  - name: Evals
  - name: Files
  - name: Fine-tuning
  - name: Models
  - name: Responses
  - name: Vector Stores
paths:
  /vector_stores/{vector_store_id}/files:
    get:
      tags:
        - Vector Stores
      summary: Returns a list of vector store files.
      operationId: listVectorStoreFiles
      parameters:
        - name: api-version
          in: query
          required: false
          description: >-
            The explicit Azure AI Foundry Models API version to use for this
            request.

            `v1` if not otherwise specified.
          schema:
            $ref: '#/components/schemas/AzureAIFoundryModelsApiVersion'
            default: v1
        - name: vector_store_id
          in: path
          required: true
          description: The ID of the vector store that the files belong to.
          schema:
            type: string
        - name: limit
          in: query
          required: false
          description: >-
            A limit on the number of objects to be returned. Limit can range
            between 1 and 100, and the

            default is 20.
          schema:
            type: integer
            format: int32
            default: 20
          explode: false
        - name: order
          in: query
          required: false
          description: >-
            Sort order by the `created_at` timestamp of the objects. `asc` for
            ascending order and`desc`

            for descending order.
          schema:
            type: string
            enum:
              - asc
              - desc
          explode: false
        - name: after
          in: query
          required: false
          description: >-
            A cursor for use in pagination. `after` is an object ID that defines
            your place in the list.

            For instance, if you make a list request and receive 100 objects,
            ending with obj_foo, your

            subsequent call can include after=obj_foo in order to fetch the next
            page of the list.
          schema:
            type: string
          explode: false
        - name: before
          in: query
          required: false
          description: >-
            A cursor for use in pagination. `before` is an object ID that
            defines your place in the list.

            For instance, if you make a list request and receive 100 objects,
            ending with obj_foo, your

            subsequent call can include before=obj_foo in order to fetch the
            previous page of the list.
          schema:
            type: string
          explode: false
        - name: filter
          in: query
          required: false
          description: >-
            Filter by file status. One of `in_progress`, `completed`, `failed`,
            `cancelled`.
          schema:
            $ref: '#/components/schemas/OpenAI.ListVectorStoreFilesFilter'
          explode: false
      responses:
        '200':
          description: The request has succeeded.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenAI.ListVectorStoreFilesResponse'
        default:
          description: An unexpected error response.
          headers:
            apim-request-id:
              required: false
              description: A request ID used for troubleshooting purposes.
              schema:
                type: string
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AzureErrorResponse'
components:
  schemas:
    AzureAIFoundryModelsApiVersion:
      type: string
      enum:
        - v1
        - preview
    OpenAI.ListVectorStoreFilesFilter:
      anyOf:
        - type: string
        - type: string
          enum:
            - in_progress
            - completed
            - failed
            - cancelled
    OpenAI.ListVectorStoreFilesResponse:
      type: object
      required:
        - object
        - data
        - first_id
        - last_id
        - has_more
      properties:
        object:
          type: string
          enum:
            - list
        data:
          type: array
          items:
            $ref: '#/components/schemas/OpenAI.VectorStoreFileObject'
        first_id:
          type: string
        last_id:
          type: string
        has_more:
          type: boolean
    AzureErrorResponse:
      type: object
      properties:
        error:
          type: object
          properties:
            code:
              type: string
              description: The distinct, machine-generated identifier for the error.
            message:
              type: string
              description: A human-readable message associated with the error.
            param:
              type: string
              description: >-
                If applicable, the request input parameter associated with the
                error
            type:
              type: string
              enum:
                - error
              description: The object type, always 'error.'
            inner_error: {}
          description: The error details.
    OpenAI.VectorStoreFileObject:
      type: object
      required:
        - id
        - object
        - usage_bytes
        - created_at
        - vector_store_id
        - status
        - last_error
      properties:
        id:
          type: string
          description: The identifier, which can be referenced in API endpoints.
        object:
          type: string
          enum:
            - vector_store.file
          description: The object type, which is always `vector_store.file`.
        usage_bytes:
          type: integer
          format: int32
          description: >-
            The total vector store usage in bytes. Note that this may be
            different from the original file size.
        created_at:
          type: integer
          format: unixtime
          description: >-
            The Unix timestamp (in seconds) for when the vector store file was
            created.
        vector_store_id:
          type: string
          description: >-
            The ID of the [vector
            store](/docs/api-reference/vector-stores/object) that the
            [File](/docs/api-reference/files) is attached to.
        status:
          type: string
          enum:
            - in_progress
            - completed
            - cancelled
            - failed
          description: >-
            The status of the vector store file, which can be either
            `in_progress`, `completed`, `cancelled`, or `failed`. The status
            `completed` indicates that the vector store file is ready for use.
        last_error:
          type: object
          properties:
            code:
              type: string
              enum:
                - server_error
                - unsupported_file
                - invalid_file
              description: One of `server_error` or `rate_limit_exceeded`.
            message:
              type: string
              description: A human-readable description of the error.
          required:
            - code
            - message
          nullable: true
          description: >-
            The last error associated with this vector store file. Will be
            `null` if there are no errors.
        chunking_strategy:
          allOf:
            - $ref: '#/components/schemas/OpenAI.ChunkingStrategyResponseParam'
          description: The strategy used to chunk the file.
        attributes:
          type: object
          allOf:
            - $ref: '#/components/schemas/OpenAI.VectorStoreFileAttributes'
          nullable: true
      description: A list of files attached to a vector store.
    OpenAI.ChunkingStrategyResponseParam:
      type: object
      required:
        - type
      properties:
        type:
          type: string
          enum:
            - static
            - other
      discriminator:
        propertyName: type
        mapping:
          other: '#/components/schemas/OpenAI.OtherChunkingStrategyResponseParam'
          static: '#/components/schemas/OpenAI.StaticChunkingStrategyResponseParam'
    OpenAI.VectorStoreFileAttributes:
      type: object
      additionalProperties:
        anyOf:
          - type: string
          - type: boolean
          - type: integer
            format: int32
          - type: number
            format: float
      description: >-
        Set of 16 key-value pairs that can be attached to an object. This can be

        useful for storing additional information about the object in a
        structured

        format, and querying for objects via API or the dashboard. Keys are
        strings

        with a maximum length of 64 characters. Values are strings with a
        maximum

        length of 512 characters, booleans, or numbers.
      x-oaiTypeLabel: map
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key
    ApiKeyAuth_:
      type: apiKey
      in: header
      name: authorization
    OAuth2Auth:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://login.microsoftonline.com/common/oauth2/v2.0/authorize
          scopes:
            https://cognitiveservices.azure.com/.default: ''

````